from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.container import XIndexAccess

@runtime_checkable
class XSheetCellRanges(XIndexAccess, Protocol):
    def getCells(self) -> XEnumerationAccess: ...
    def getRangeAddressesAsString(self) -> str: ...
    def getRangeAddresses(self) -> list[CellRangeAddress]: ...
